# Created by pyp2rpm-3.2.1
%global pypi_name PyBOMBS

Name:           python-%{pypi_name}
Version:        2.3.0
Release:        1%{?dist}
Summary:        A meta-package manager to install software from source, or whatever the local package manager is. Designed for easy install of source trees for the GNU Radio project

License:        GPLv3
URL:            http://gnuradio.org/pybombs/
Source0:        https://files.pythonhosted.org/packages/source/P/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python2-devel
BuildRequires:  python-setuptools

%description
PyBOMBS (the Python Bundles Overlay Managed Build System) is a metapackage
manager that can install packages from source or using the local package
manager(s).It was mainly designed for use by users of the GNU Radio project_,
which is extended by a large number of outoftree modules (OOTs).PyBOMBS is a
recipebased system and can easily mix and match installations from different
sources. ...

%package -n     python2-%{pypi_name}
Summary:        A meta-package manager to install software from source, or whatever the local package manager is. Designed for easy install of source trees for the GNU Radio project
%{?python_provide:%python_provide python2-%{pypi_name}}
 
Requires:       python-setuptools
Requires:       PyYAML
Requires:       python-requests
Requires:       python-six
Requires:       python-future
%description -n python2-%{pypi_name}
PyBOMBS (the Python Bundles Overlay Managed Build System) is a metapackage
manager that can install packages from source or using the local package
manager(s).It was mainly designed for use by users of the GNU Radio project_,
which is extended by a large number of outoftree modules (OOTs).PyBOMBS is a
recipebased system and can easily mix and match installations from different
sources. ...


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py2_build

%install
%py2_install
cp %{buildroot}/%{_bindir}/pybombs %{buildroot}/%{_bindir}/pybombs-2
ln -sf %{_bindir}/pybombs-2 %{buildroot}/%{_bindir}/pybombs-%{python2_version}


%files -n python2-%{pypi_name}
%doc 
%{_bindir}/pybombs
%{_bindir}/pybombs-2
%{_bindir}/pybombs-%{python2_version}
%{python2_sitelib}/pybombs
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Thu Mar 16 2017 Marcus Müller <marcus@hostalia.de> - 2.3.0-1
- Initial package.